cascading.tap.hadoop

## Class DistCacheTap

- java.lang.Object
- - cascading.tap.Tap<Config,Input,Output>
  - - cascading.tap.DecoratorTap<Void,Configuration,RecordReader,OutputCollector>
    - - cascading.tap.hadoop.BaseDistCacheTap
      - - cascading.tap.hadoop.DistCacheTap

- All Implemented Interfaces:
    FlowElement, ScopedElement, Traceable, Serializable

      public class DistCacheTap
      extends cascading.tap.hadoop.BaseDistCacheTap

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CASCADING_LOCAL_RESOURCES`
    `static String` | `CASCADING_REMOTE_RESOURCES`

    - ### Fields inherited from class cascading.tap.DecoratorTap

      `metaInfo, original`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistCacheTap(Tap<Configuration,RecordReader,OutputCollector> original)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addLocalCacheFiles(Configuration conf, URI uri)`
    `protected Path[]` | `getLocalCacheFiles(FlowProcess<? extends Configuration> flowProcess)`

    - ### Methods inherited from class cascading.tap.hadoop.BaseDistCacheTap

      `openForRead, sourceConfInit`

    - ### Methods inherited from class cascading.tap.DecoratorTap

      `commitResource, createResource, createResource, deleteResource, deleteResource, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getIdentifier, getMetaInfo, getModifiedTime, getModifiedTime, getNodeConfigDef, getOriginal, getScheme, getSinkFields, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hasNodeConfigDef, hasStepConfigDef, isKeep, isReplace, isSink, isSource, isTemporary, isUpdate, openForRead, openForWrite, openForWrite, outgoingScopeFor, prepareResourceForRead, prepareResourceForWrite, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, resourceExists, retrieveSinkFields, retrieveSourceFields, rollbackResource, setMetaInfo, setOriginal, sinkConfInit, toString`

    - ### Methods inherited from class cascading.tap.Tap

      `equals, hashCode, id, setScheme, taps`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CASCADING_LOCAL_RESOURCES

          public static final String CASCADING_LOCAL_RESOURCES

      See Also:
        Constant Field Values

    - #### CASCADING_REMOTE_RESOURCES

          public static final String CASCADING_REMOTE_RESOURCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistCacheTap

          public DistCacheTap(Tap<Configuration,RecordReader,OutputCollector> original)

  - ### Method Detail

    - #### getLocalCacheFiles

          protected Path[] getLocalCacheFiles(FlowProcess<? extends Configuration> flowProcess)
                                       throws IOException

      Specified by:
        `getLocalCacheFiles` in class `cascading.tap.hadoop.BaseDistCacheTap`
      Throws:
        `IOException`

    - #### addLocalCacheFiles

          protected void addLocalCacheFiles(Configuration conf,
                                URI uri)

      Specified by:
        `addLocalCacheFiles` in class `cascading.tap.hadoop.BaseDistCacheTap`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.